Storage Automated Diagnostic Environment 2.3 Device Edition Release Notes
Patch 116720-06 Release Notes

Part Number: 817-6192-10
Date: Apr/03/04
=========================

READ BEFORE USING THIS REVISION

The Release Notes for this patch are available only in English.

The Release Notes contain information specific to this
revision. This information is not elsewhere in the
product documentation set.

The Release Notes for this product are on the product media.
You can print them as you would any other ASCII file.

Copyright 2004 Sun Microsystems, Inc., 4150 Network Circle,
Santa Clara, California 95054, U.S.A. All rights reserved.

Sun Microsystems, Inc. has intellectual property rights relating to
technology embodied in the product that is described in this document.
In particular, and without limitation, these intellectual property
rights may include one or more of the U.S. patents listed at
http://www.sun.com/patents and one or more additional patents or
pending patent applications in the U.S. and in other countries.

This document and the product to which it pertains are distributed
under licenses restricting their use, copying, distribution, and
decompilation. No part of the product or of this document may be
reproduced in any form by any means without prior written authorization
of Sun and its licensors, if any.

Third-party software, including font technology, is copyrighted and
licensed from Sun suppliers.

Parts of the product may be derived from Berkeley BSD systems, licensed
from the University of California. UNIX is a registered trademark in
the U.S. and in other countries, exclusively licensed through X/Open
Company, Ltd.

Sun, Sun Microsystems, the Sun logo, AnswerBook2, Sun StorEdge,
docs.sun.com, Sun Enterprise, Sun Fire, SunOS, Netra, SunSolve, and
Solaris are trademarks or registered trademarks, or service marks of
Sun Microsystems, Inc. in the U.S. and in other countries. All SPARC
trademarks are used under license and are trademarks or registered
trademarks of SPARC International, Inc. in the U.S. and in other
countries. Products bearing SPARC trademarks are based upon an
architecture developed by Sun Microsystems, Inc.

The OPEN LOOK and SunTM Graphical User Interface was developed by Sun
Microsystems, Inc. for its users and licensees. Sun acknowledges the
pioneering efforts of Xerox in researching and developing the concept
of visual or graphical user interfaces for the computer industry. Sun
holds a non-exclusive license from Xerox to the Xerox Graphical User
Interface, which license also covers Sun's licensees who implement
OPEN LOOK GUIs and otherwise comply with Sun's written license
agreements.

U.S. Government Rights-Commercial use. Government users are subject to
the Sun Microsystems, Inc. standard license agreement and applicable
provisions of the FAR and its supplements.

DOCUMENTATION IS PROVIDED "AS IS" AND ALL EXPRESS OR IMPLIED
CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED
WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT SUCH
DISCLAIMERS ARE HELD TO BE LEGALLY INVALID.


Copyright 2004 Sun Microsystems, Inc., 4150 Network Circle,
Santa Clara, California 95054, Etats-Unis. Tous droits réservés.

Sun Microsystems, Inc. a les droits de propriété intellectuels
relatantsà la technologie incorporée dans le produit qui est décrit
dans ce document. En particulier, et sans la limitation, ces droits
de propriété intellectuels peuvent inclure un ou plus des brevets
américains énumérés à http://www.sun.com/patents et un ou les brevets
plus supplémentaires ou les applications de brevet en attente dans
les Etats-Unis et dans les autres pays.

Ce produit ou document est protégé par un copyright et distribué
avec des licences qui en restreignent l'utilisation, la copie, la
distribution, et la décompilation. Aucune partie de ce produit ou
document ne peut être reproduite sous aucune forme, parquelque moyen
que ce soit, sans l'autorisation préalable et écrite de Sun et de
ses bailleurs de licence, s'il y ena.

Le logiciel détenu par des tiers, et qui comprend la technologie
relative aux polices de caractères, est protégé par un copyright et
licencié par des fournisseurs de Sun.

Des parties de ce produit pourront être dérivées des systèmes Berkeley
BSD licenciés par l'Université de Californie. UNIX est une marque
déposée aux Etats- Unis et dans d'autres pays et licenciée
exclusivement par X/Open Company, Ltd.

Sun, Sun Microsystems, le logo Sun, AnswerBook2, Sun StorEdge,
docs.sun.com, Sun Enterprise, Sun Fire, SunOS, Netra, SunSolve, et
Solari sont des marques de fabrique ou des marques déposées de Sun
Microsystems, Inc. aux Etats-Unis et dans d'autres pays.

Toutes les marques SPARC sont utilisées sous licence et sont des
marques de fabrique ou des marques déposées de SPARC International,
Inc. aux Etats-Unis et dans d'autres pays. Les produits protant les
marques SPARC sont basés sur une architecture développée par Sun
Microsystems, Inc.

L'interface d'utilisation graphique OPEN LOOK et SunTM a été développée
par Sun Microsystems, Inc. pour ses utilisateurs et licenciés. Sun
reconnaît les efforts de pionniers de Xerox pour la recherche et le
développment du concept des interfaces d'utilisation visuelle ou
graphique pour l'industrie de l'informatique. Sun détient une license
non exclusive do Xerox sur l'interface d'utilisation graphique Xerox,
cette licence couvrant également les licenciées de Sun qui mettent en
place l'interface d 'utilisation graphique OPEN LOOK et qui en outre
se conforment aux licences écrites de Sun.

LA DOCUMENTATION EST FOURNIE "EN L'ÉTAT" ET TOUTES AUTRES CONDITIONS,
DECLARATIONS ET GARANTIES EXPRESSES OU TACITES SONT FORMELLEMENT
EXCLUES, DANS LA MESURE AUTORISEE PAR LA LOI APPLICABLE, Y COMPRIS
NOTAMMENT TOUTE GARANTIE IMPLICITE RELATIVE A LA QUALITE MARCHANDE, A
L'APTITUDE A UNE UTILISATION PARTICULIERE OU A L'ABSENCE DE
CONTREFAÇON.


DOCUMENT STRUCTURE
==================

These Release Notes contain the following sections:

o Introduction
o Audience
o Deliverables
o Product Packaging
o Related Documentation
o Qualified Platforms
o Features
o Installation Instructions
o Product Hints
o Changes and Enhancements
o External Products and Packages
o Known Problems
o Resolved Problems


INTRODUCTION
============

The Storage Automated Diagnostic Environment 2.3 package
provides a graphical user interface, enabling the user to remotely
monitor and diagnose Sun storage devices.  The Agent can be used
to collect data and analyze the condition of Sun StorEdge devices.
The Diagnostics can be used to verify the condition
of a system, identify failing FRUs and verify FRU replacement.


AUDIENCE
========

The Storage Automated Diagnostic Environment is for use by
system administrators and support personnel
who are familiar with Sun's disk array and SAN products.


DELIVERABLES
============

Documentation Delivered With This Product
-----------------------------------------
The following documentation is delivered with this product:

Application     Title
-----------     -----

Man Pages       6120ofdg.1m
                6120ondg.1m
                6120test.1m
                6120volverify.1m
                a3500fctest.1m
                a5ksestest.1m
                a5ktest.1m
                brocadetest.1m
                checkcron.1m
                clearcache.1m
                config_solution.1m
                d2disktest.1m
                daksestest.1m
                daktest.1m
                dex.1m
                discman.1m
                disk_inquiry.1m
                disktest.1m
                echotest3510.1m
                fcdisktest.1m
                fctapetest.1m
                ifptest.1m
                jnitest.1m
                lbf.1m
                linktest.1m
                loopmap3510.1m
                looptest3510.1m
                ondg.1m
                qlctest.1m
                ras_admin.1m
                ras_discover.1m
                ras_install.1m
                ras_patchlist.1m
                ras_remote.1m
                ras_revcheck.1m
                ras_upgrade.1m
                rasagent.1m
                sanbox.1m
                save_password.1m
                sccli.1m
                se2_configcheck.1m
                se_configcheck.1m
                showBypassDevice3510.1m
                snapshot.1m
                socaltest.1m
                stresstest.1m
                switch2test.1m
                switchtest.1m
                t3command.1m
                t3ofdg.1m
                t3test.1m
                t3volverify.1m
                testt3.1m
                test3510.1m
                vediag.1m
                veluntest.1m
                volverify.1m
                volverifytest.1m


User/Admin      Storage Automated Diagnostic Getting Started Guide
                (817-3284-10)



PRODUCT PACKAGING
=================

The Storage Automated Diagnostic Environment 2.3 software is
distributed as an unbundled product in the pkgadd format as SUNWstade.


RELATED DOCUMENTATION
=====================

User/Admin      Best Practices for Deploying the Storage Automated Diagnostic
                Environment to Monitor Storage (817-5205-10)

Sun StorEdge T3 and T3+ Array documentation:
    Sun StorEdge T3 and T3+ Array Start Here (816-0772-10)
    Sun StorEdge T3 and T3+ Array Installation, Operations and
                            Service Manual (816-0773-10)
    Sun StorEdge T3 and T3+ Array Administrator's Guide (816-0776-10)
    Sun StorEdge T3 and T3+ Array Configuration Guide (816-0777-10)
    Sun StorEdge T3 and T3+ Array Site Preperation Guide (816-0778-10)
    Sun StorEdge T3 and T3+ Field Service Manual (816-0779-10)
    Sun StorEdge T3 and T3+ Array Release Notes (816-0781-12)

Sun StorEdge A5000 Array documentation:
    Sun StorEdge A5000 User's Guide (806-1946-10)
    Sun StorEdge A5000 Release Notes (806-1947-10)
    Sun StorEdge A5000 Product Note (805-1018-13)
    Sun StorEdge A5000 Configuration Guide (805-0264-15)
    Sun StorEdge A5000 Installation and Documentation Guide (805-1903-15)

Sun StorEdge PCI FC-100 Host Adapter documentation:
    Sun StorEdge PCI FC-100 Host Adapter Installation Manual (805-3682-10)

Sun StorEdge SBus FC-100 Host Adapter documentation:
    Sun StorEdge SBus FC-100 Host Adapter Installation and
                                          Service Manual (802-7572-11)

Sun StorEdge PCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge PCI Dual Fibre Channel Host Adapter Product Notes (806-5857-10)
    Sun StorEdge PCI Dual Fibre Channel Host Adapter Installation
                                                     Guide (806-5600-10)

Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter Product Notes (X6767A)
    Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter Installation
                                                     Guide (X6768A)

Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter Product Notes (806-5857-10)
    Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter Installation
                                                     Guide (806-5600-10)

Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter Product Notes
    Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter Installation
                                                     Guide (X6769A)

Sun StorEdge A3500/A3500FC documentation:
    Sun StorEdge A3500/A3500FC Hardware Configuratoin Guide (805-4981-13)
    Sun StorEdge A3500/A3500FC Controller Module Guide (805-4980-11)
    Sun StorEdge A3500/A3500FC Task Map (805-4982-11)

Sun StorEdge RAID Manager 6.22 documentation:
    Sun StorEdge RAID Manager 6.22 User's Guide (806-0478-10)
    Sun StorEdge RAID Manager 6.22 Release Notes (806-3721-10)

Sun StorEdge Network FC Switch-8 and Switch-16 documentation:
    Sun StorEdge Network FC Switch-8 and Switch-16 Installation and Config
                                                   Guide (806-6922-10)
    Sun StorEdge Network FC Switch-8 and Switch-16 Field Troubleshooting
                                                   Guide (816-0252-10)
    Sun StorEdge Network FC Switch-8 and Switch-16 Release Notes (816-0842-15)

Sun StorEdge Network 2 Gb FC Switch-8, Switch-16, and Switch-64 documentation:
    Sun StorEdge SAN 4.0 Release Guide to Documentation (816-4470-10)
    Sun StorEdge SAN 4.0 Release Installation Guide (816-4469-10)
    Sun StorEdge SAN 4.0 Release Configuration Guide (806-5513-10)
    Sun StorEdge SAN 4.0 Release Notes (816-4472-10)

McData ED6064 and ES3232 FC switches:
    The following documents may be found on the McData Website,
       http://www.mcdata.com:
     Intrepid TM 6064 Director Planning Manual
     Intrepid TM 6064 Director Manager User Manual
     SAN Plannning Guide
     Manager Software User Manual
     Command Line Interface User Manual

     This information can be found under:
       Knowledge Center Link -> Technical Documents

     Additional publications are available by means of McData's secure web
     site. Please contact webmaster@mcdata.com for access.

Sun StorEdge 3900 and 6900 Series documentation:
    Sun StorEdge 3900 and 6900 Series Reference and Service Guide (816-5253-10)
    Sun StorEdge 3900 and 6900 Series Site Perperation Guide (816-5256-10)
    Sun StorEdge 3900 and 6900 Series Regulatory and Safety Compliance
                                      Manual ( 816-5257-10)
    Sun StorEdge 3900 and 6900 Series Installation Guide (816-5252-10)
    Sun StorEdge 3900 and 6900 Series Troubleshooting Guide (816-5255-10)

Solaris:
    Solaris Handbook for Sun Peripherals (806-2210-10)


QUALIFIED PLATFORMS
===================

You can use the SUNWstade package on the following platforms and
operating systems:

Sun Platforms        : All Sun Sparc Solaris servers

Sun StorEdge         : Sun StorEdge A5000 Array (14 slot)
                       Sun StorEdge A5200 Array (22 slot)
                       Sun StorEdge A3500-FC Array
                       Sun StorEdge T3 Array (F/W 1.17 or greater)
                       Sun StorEdge T3+ Array (F/W 2.0 or greater)
                       Sun StorEdge 6120 Array
                       Sun StorEdge FC Tape T9840
                       Sun StorEdge FC Tape T9840B
                       Sun V880 Internal Fibre Channel Disks
                       Sun E3500 Internal Fibre Channel Disks
                       Sun StorEdge D2
                       Sun StorEdge 3510 FC Array
                       Sun StorEdge 3310 SCSI RAID Array
                       Sun StorEdge 3900 Series
                       Sun StorEdge 6900 Series
                       Sun StorEdge 6320 System
                       Sun StorEdge 9910
                       Sun StorEdge 9960
                       Sun StorEdge 9970
                       Sun StorEdge 9980

SAN                  : Sun StorEdge Network FC Switch-8 and Switch-16.
                       Sun StorEdge Network 2 Gb FC Switch-8, Switch-16
                       and Switch-64.
                       Brocade Silkworm 2400/2800 FC Switch
                       Brocade Silkworm 3200/3800/12000 FC Switch
                       Brocade 3900 32 Port FC Switch
                       McData ED6064 FC Switch
                       McData ES3232 FC Switch
                       McData 4500 2GB 24 Port FC Switch
                       McData 6140 FC Switch
                       Inrange FC 9000 Director FC Switch

Host Bus Adpaters    : Sun StorEdge PCI FC-100 Host Adapter
                       Sun StorEdge SBus FC-100 Host Adapter
                       Sun StorEdge PCI Dual Fibre Channel Host Adapter
                       Sun StorEdge 2 Gb FC PCI Single Channel Network Adapter
                       Sun StorEdge 2 Gb FC PCI Dual Channel Network Adapter
                       Sun StorEdge 2 Gb FC cPCI Dual Channel Network Adapter
                       JNI FC Host Adapter

Operating Systems    : Solaris 9
                       Solaris 8 4/01 or greater.
                       Reference the "Best Practices for Deploying Storage
                       the Sun Storage Automated Diagnostic Envoronment
                       Utility" (817-5205-10)
                       or the Storage Automated Diagnostic Getting
                       Started Guide (817-3284-10) for details on monitoring
                       data hosts with other Solaris or non-solaris OEs.

                       http://www.sun.com/blueprints

Browsers:            : Netscape 4.76, 7.x, Mozilla 1.2.1, IE 5.x, 6.x

Perl                 : 5.005 thru 5.6 is mandatory.  Use the following URL
                       to acquire the proper version if necessary.
                       http://www.perl.com/pub/language/info/software.html

                       If the proper version does in fact already exist,
                       create a symbolic link of the executable to
                       /usr/bin/perl.


FEATURES
========

o Collects and reports information about Sun StorEdge devices. Type of
  information reported on includes device configuration, device statistics,
  device state and availability, device message-log information, and
  system configuration.

o Incorporates a graphical user view of FC StorEdge devices and the
  interconnects.

o Contains an event grid that provides recommended service actions for
  each event.

o Creates a model of the device and its components, storing state
  information about that device and saving log information.

o Contains revision checking functionality of Fiber Channel devices.


INSTALLATION INSTRUCTIONS
=========================

o You must be superuser to install this package.

o Sun Download Center

  # su
  # cd /tmp

    download compressed tar image to /tmp

  # uncompress SUNWstade.tar.Z
  # tar xvf /tmp/SUNWstade.tar
  # pkgadd -d .
    .
    .
    .

o Installation CD

  # su
  # cd /cdrom/cdrom0/product/packages
  # pkgadd -d .

o Locate potential patch(es) on sunsolve and download/install.
  http://sunsolve.com -> Patch Finder 116720

o After the package and patch(es) are completely installed, execute the program
  "/opt/SUNWstade/bin/ras_install" to install the Agent service and cron.

  # /opt/SUNWstade/bin/ras_install -h
  # /opt/SUNWstade/bin/ras_install

o After installing, set the environment
  variables PATH and MANPATH to include the
  directories "/opt/SUNWstade/bin" and "/opt/SUNWstade/man".

  # man ras_install

o Review the Getting Started Guide which applies to your locale

o Following the ras_install procedure, connect to the
  system using a supported browser using port 7654.
  (ie. http://{hostname}:7654)

o Default login as user "ras" with the password "agent". The default
  ras password can be changed under Admin->System Utilities->Root
  Password.  Additional user's can also be added under Admin->System
  Utilities->Login/Roles.

o Follow the "Basic Installation Steps" or Select "Basic Steps in Popup"
  from the Master's Home Page. Complete all required steps.

o Revision Checking should be run before creating a topology.
  Updating all firmware and software components to the current revisions,
  ensures that the devices have the capabilities required to be
  discovered, monitored and diagnosed properly.


PRODUCT HINTS
=============

o If you previously had JNI HBA cards installed with the base version of
  2.2.00.03, you will need to run topology discovery again in
  order for this patch to see the JNI HBA cards.

o The Storage Automated Diagnostic Environment is a device monitoring tool 
  that probes devices on the ethernet and for direct attached storage 
  devices, accesses the device on the datapath (Fibre Channel).
  ***************************************************************************
  ***************************************************************************
  For most storage arrays, it is important to queiesce any and all monitoring
  during upgrade operations.
  ***************************************************************************
  ***************************************************************************

  Use the following information that best suits
  this site for stopping the agent from monitoring:

  Stopping the agent
  ------------------
  There are several ways to accomplish the task of stopping the agent
  monitoring agents from probing a storage array during an upgrade.

  One way would be to disable the specific agent from executing.  This would
  allow for the continuing of the monitoring of other types of devices.

    Disabling the agent
    -------------------
      GUI
      ---
        Select General Maintenance -> Maintain Hosts -> host_name
        Deselect the Device as a Category to monitor -> Submit

      CLI
      ---
        There is no cli command in 2.0 to directly affect individual
        categories to monitor.

  The most efficient way to stop the agent from monitoring entirely would
  be to set the stop bit or stop the cron from executing.

    Disabling the agent
    -------------------
      GUI
      ---
        Select General Maintenance -> Stop Agents -> Stop -> Submit

      CLI
      ---
        Execute ras_install and select "P" to postpone the execution of
        rasagent from cron.  This will remove the cron entry that starts
        the agent every 5 minutes.

        NOTE: This will not immediately stop any existing execution of
        the agent.  Use the 'ps` command to ensure all agent
        activity has ended.

                 `ps -ef | grep ras'


o If a Sun StorEdge 3510 FC RAID or 3310 SCSI RAID array was already discovered
  before applying patch 116720-06, the user will need to delete these devices,
  rediscover the devices and create a new topology snapshot after applying
  this patch.

  The following Sun StorEdge f/w levels are required before installing
  this patch:

  Sun StorEdge 3510 FC RAID f/w 3.27r SES 1040 or greater. Patch ID 113723-07
  Sun StorEdge 3310 SCSI Raid 3.25s SAF-TE 1159 or greater. Patch ID 113722-05

o With old Brocade switch firmware, use of SNMP may trigger
  a memory leak in the Brocade firmware, causing a reboot.
  See BugID:  4819138

o You should be familiar with UNIX commands and Sun's disk array
  products before attempting to use this product.

o System administrators should know about security risks associated with
  installing a web server. Take the appropriate action to protect access
  to the SUNWstade port 7654.

o The SUNWsan package is a component of the San Foundation Software kit
  (www.sun.com/storage/san).  There are separate kits for each of Solaris 8
  and 9. In addition to the SFS kit, the luxadm patches required are:

  Solaris 8:  111413-xx (current -11) and 109529-xx (current -06)
  Solaris 9:  113043-xx (current -05)

o All communicating Master and Slave Agents MUST be executing the
  same version and patch level of Sun's Storage Automated Diagnostic
  Environment.

o If upgrading from SUNWstade 2.0, you must remove the /var/opt/SUNWstade
  directory after pkgrm of SUNWstade 2.0.

o Must use "/opt/SUNWstade" as the package base directory.

o When installing a new patch to SUNWstade:
  stop the agents before installing the update
  and execute the /opt/SUNWstade/bin/ras_install program
  after installing the update

o If there are existing problems with a storage device when the package
  is installed, these problems may not be detected or reported.
  They will, however, generate an event (type of event is based on the
  type of failure) when the error condition is corrected.

o Brocade FC Switch configurations using segmented loop
  (SL) zones can be monitored and diagnosed but the topology
  views will not show connections between devices.

o switchtest and linktest may not provide diagnostics for
  fibre channel links between downrev'd HBAs and/or downrev'd switches
  as well as fibre channel links between switches and virtualization
  engines (VE). This is a result of the current lack of support for the
  fabric ECHO test command in these products.

o Some browsers such as Netscape 7 will prompt for a username/password
  when applets are loaded.  Enter the same username/password which was
  used to initially log in.

o When using Netscape 6.2.1 with SSL enabled the user MUST point
  the browser to https://hostname w/o the port #.

 When using Netscape 4.79 the following error may occur if
  seperate browser sessions are initiated from the command line. The user
  may or may not see this specific message but this error will prevent the
  user from seeing the topology view screens:

  #error The certificate issuer for this server is not recongized by Netscape.
  The security certificate may or may not valid.
  Netscape refuses to connect to this server (-8179) java40.tar/ifc11.jar
  java.lang.SecurityExcpetion: system classes not signed

  exit Netscape (close all windows)

  Solaris:
  cd .netscape
  mv key3.db key3.bad
  mv cert7.db cert7.bad
  restart Netscape

  Windows:
  C:/Program Files/Netscape/Users/username/
  rename key3.db key3.bad
  rename cert7.db cert7.bad

o Creation of /etc/deviceIP.conf file may be utilized for discovery
  of all supported FC devices that have ethernet connectivity.
  In order to discover 3510/3310 devices with this method, you must
  enter the device type in the deviceIP.conf file.
  Example:

  # device_ip  device_name [device_type]  # comments
  # The device_type field is optional but required for devices that
  # do not support snmp

  10.0.0.1 t3-1a
  10.0.0.2 fc3510   3510
  10.0.0.3 3900     se

o Subnet discovery is the preferred method of discovery. This will discover
  all devices that support SNMP. NOTE: 3510 do not support SNMP, use
  the /etc/deviceIP.conf to discover these devices.

o When removing patches, turn off the monitoring of all devices under:

  Administration -> Maintain Hosts

  before removing a patch.
  Turn the monitoring back on after the patch has been removed.


o If the Solaris host that the Master is installed on uses 'compat'
  in the /etc/nsswitch.conf file, the Administrator must manually set the
  User Password. Checking the "NIS Password" box does not work in
  conjunction with 'compat'.

o In order to monitor HDS, the monitoring host must be given SNMP access to the
  HDS array.

o Support for Inrange switches includes topology and port status only.

116720-06 CHANGES AND ENHANCEMENTS
==================================
o  Support StorEdge 3510 FC array firmware 3.27r and sccli 1.5
o  Support StorEdge 3310 SCSI RAID array 3.25s and sccli 1.5
o  New Event Severity Mapping:

   #  Previous      Current
   -  -----------  -----------
   0  Information   Information
   1  Warning       Major
   2  Error         Critical
   3  Down          Down

o  Bug fixes

116720-03 CHANGES AND ENHANCEMENTS
==================================
o  Bug fixes


2.3 CHANGES AND ENHANCEMENTS
============================

o SAN 4.3
o Support Inrange FC9000 Switches
o Support for JNI Host Bus Adapters
o Support for HDS
o Support for 6140 McData FC Switch
o Periodic vol verify scheduling
o Updated revision matrix
o Bug fixes


2.2 CHANGES AND ENHANCEMENTS
============================

o  Added monitoring support for McData ED6064 and ES3232 FC switches
o  Added HUB support
o  Added support for 2Gb T9840B Tape Drive
o  Support 3900SL/6900SL
o  Support StorEdge 6120
o  Support StorEdge 6320
o  Support StorEdge 3510 FC array


2.1 CHANGES AND ENHANCEMENTS
============================

o  Added notification provider for SunMC
o  Support Internal FC disks
o  Support V880 Disk Array
o  Support D2
o  Support Sun StorEdge(TM) Network FC 2 GB-8/16/64
o  Support Brocade Silkworm Fibre Channel Switch
o  Support Brocade Silkworm 2GB Fibre Channel Switches
o  Support 3900SL/6900SL
o  Support Solaris 9
o  Added link and launch interface for management applications
o  Added CLI stresstest
o  Added CLI interfaces
o  Improved User Interface
o  Added revision checking matrix 3.13
o  Add SSL
o  Support Netscape 6
o  Support IE 5.0
o  Miscellaneous additions and bug fixes
o  Documentation updates
o  Improved online help
o  I18N ready
o  L10N ready


EXTERNAL PRODUCTS AND PACKAGES
==============================

o SunMC - Storage Automated Diagnostic Environment is capable of sending alerts
to the Sun Management Center (SunMC). Two packages must be installed for this
functionality.  These packages are installed using the pkgadd(1) utility and
are located in the /System/SunMC directory of the Storage Automated Diagnostic
Environemnt base directory.

  o SUNWesraa - This SunMC Module package is designed for the SunMC agent
    environment and must be installed on a host that has the SunMC agent
    running on it. This may or may not be the Storage Automated Diagnostic
    Environment host. This module module receives data from the Storage
    Automated Diagnostic Environment and forwards it to the SunMC server.
    The host IP address for the server containing the SunMC server must be
    provided in the Providers page.

  o SUNWesras - This SunMC Module package is designed for the SunMC server
    environment and is optionally installed on the SunMC server host.
    When installed, this package adds the ability for "Group Operations".
    The package is installed using the standard Solaris pkgadd(1) utility.

  The following process is recommended in order to install and activate SunMC
  for Storage Automated Diagnostic Environment and assumes that the SunMC
  application is running.

  (a) Install the SunMC agent on the selected host. It is recommended that this
      also be the Storage Automated Diagnostic Environment station.  If 
      slave agents are used, this package should be installed on the 
      host which is configured as the master agent.  Refer to the appropriate
      SunMC documentation for additional information.

  (b) Install the module package SUNWesraa on the same machine identified in
      step (a).

  (c) Use the SunMC command/console to start the SunMC agent and load the module
      called "rasagent". While the module is loaded you will be required to
      provide the IP address of the Storage Automated Diagnostic Environment
      management station in the "Provider IP Address" field.

  (d) In Storage Automated Diagnostic Environment, add the IP address of the
      SunMC "Server".  The "Port" used is normally 18055 and the "Resource" can
      be anything.

  (e) If user wants to perform the "Group Operation" in SunMC, he should install
      the module package SUNWesras on the SunMC server host.

Once activated the SunMC module will receive information on what devices are
being monitored and will display alarms in the SunMC.  If further information
is required for the alarms, log into the instance of Storage Automated
Diagnostic Environment to view alert details.


KNOWN, UNRESOLVED PROBLEMS
==========================

o 4812682 add logic to recognize an upgrade process and consequently block
          access
          Be sure to disable the agent from monitoring while upgrading T3 disk 
          firmware.

o 4825088 6120:Loopback test does not work with loopback connector installed
          Until this bug is fixed by the array firmware, the agent will indicate
          that the array is bad, even though it may be okay.

o 5020332 Draw topology lines for 3310
          Currently the topology for the 3310 will show the 3310 with no host connections.


PATCH MEDIA CONTENTS
====================

See the corresponding README file.


RESOLVED PROBLEMS with patch 116720-06
======================================
Bug Id  Synopsis
------- ------------------------------------------------------------------
5025432 StorADE library call attempts to open files in /net/code/usr6
5025404 3510 XML report missing DevType, DevKey, ExptPatch
5021334 cannot run rev check for slaves
5016731 3310: Topology has 3310 connected to master when it's connected to slave.
5021423 3510: looptest: does not run
5023696 3510: looptest3510: syntax error
5019322 some labels are displayed as garbled characters on a real system1 machine
4959059 Revision matrix out of date
5019672 NSCC: CIM_Card and NWS_Slot do not match up for slot's in a solution cabinet
5020330 MCDATA ***ERR: CIM_ER Invalid property name PriorValue in NWS_Event
5020391 3510:echo test diag did not recognise new port setting
5020664 3510: diagnostics can not be run when device is in point-to-point. Ch = NA
5021376 3310: revision check: Can not get safte info
5021545 3310: bogus lost com in-band alert
5020771 3510: diags are not working for in-band devices in loop mode.
5021268 3310:Lost communication (InBand(diag97) never clears for OOB device. DOWN ERROR.
5004672 Running agent via gui shows all events with info and recommended actions
5005648 array vol.htm firmware 3.1.4 or earlier all disks reported Standby
5006849 events and ReleaseNotes contain the text "StorADE"
5010348 storade displays deleted, nonexistent volumes on 6320
5015005 no link to GettingStartedDE.pdf in Documentation tab
5016021 Event Code: 4.3.99 agent.ValueChangeEvent  ERR  CIM_ER
5016058 No-Frame options does not work.
5018225 3310: Lost Communication in-band occuring around 4:00 AM and PM ONLY.
5020463 3510:draw connection lines from array to host
5020627 Unable to add slave in GUI.
5020654 3310: Invalid error - "lost communication (InBand(diag97)" for OOB device.
5020678 3510: 1bit and 10 bit loopback diag should be available in point-to-point mode.
5021515 selecting Option "Diagnostics" from "Page" menu in Alarms, execution error shows
5022885 minnow: topology connection lines are wrong
5021869 3510: diagnostic man pages not displayed form test from list UI
5021871 documentation->diagnostics is not current (missing 3510 diags)
5021872 documentation->diagnostics should be labeled "man pages"
4976876 StorADE is creating files that are world writeable
5002104 3510 Unable to check the SEAGATE device
5019818 3510: cannot run w/r buffer test
4917337 a3500fc unmonitored device in topology view for slave host
5016973 revision analysis for 6120s is not at current patch revision
5017984 3310: recieve 3310.ValueChangeEvent warning on each rasagent run
5019028 SunMC: Sometime the alarm message will be lost
5019564 non monitored devices in topology
5005023 inband discovery is not clear
5012029 'Review Configuration' gives duplicate warnings for down-revved StorADE patch
5015618 3510: The topology view is incorrect.
4993869 Storade 2.3 is generating A3500FC insertion events periodically when agent runs
5011912 3510: show bypass is missing from diagnostics.
5012118 3310: no alerts for host channel loss
5013420 minnow: 'Monitored Devices' not in sync with 'Start and Stop Device Monitoring'
5015374 3310: show loopmap fails - Execution error: Can't locate object method
5016779 No notification or alarm of FC Tape Drive being disconnected
5017934 3510: Diagnose->Test from list->[3510]->show_bypass_device errors
5016945 add start_trap to the SUNWstade package
4994751  ***ERR:  CIM_ER
5008013 window options (basic) problems w/documentation viewing
5010450 3510: topology shows both san and das connections on a san device
5011003 Clicking on yellow link box causes both Monitor and Diagnose tab to highlight
5011226 3510: topology displays devices twice when device are discovered in-band.
5014208 3310.ValueChangeEvent.channel needs to be removed or modified
5014486 3510.LogEvent.scsi_drive_alert 26.20.191 not appropriate for 3510
5015335 3310: recieving non-existing alarm code 18.3.218
5015400 3310: Device Summary should display the RAID firmware version with the letter.
5015913 all devices are green after the first discovery
5016953 t3 instrumentation report is off slice.count is incorrect in some cases
5016982 We don't show the last event of the last file in event grid
5017021 3510: Invalid error sent to web page when accessing diagnostics.
5015410 Minnow: Device Summary - Disk does not include drive/chassis association.
4761515 References to non relevant device/host names in event grid
4865423 When trying to launch the UI on Indy w/2.1 from 2.2 it fails.
4963834 3510: RA for EventCode: 26.41.13 is not valid for 3510.
4964359 3510: ITW event PC and RA could be more specific for the minnow disk ITW errors.
4965880 3510: components.disk.1 26.3.150 event is displayed twice in the alarms page.
4994443 lower severity of 4.3.99  VolVerify cannot run because disk scrubber is active
5015418 Minnow: Device Summary - Logical Drive, remove the "ld" in the # column.
4949515 monitoring a 3510 out of band leads to inconsistent polling results
4949525 monitoring a 3510 using the default of 5 minutes leads to cron conflicts
5015957 rasagent runs system out of memory after discman run
5016007 runaway rashttp process taking all memory resources when viewing Topology
5013573 terminology for severities is confusing and at times incorrect.
5014267 3510.StateChangeEvent-.disk 26.26.13 needs PC and RA
5014516 description is not a recognized "key" in the EGrid files
5015185 3510: Can't locate object method "runBypassTest"
5015190 Functionality is different between C and non-C locale due to EGrid sync-up
5015210 add a test to check event grid information entered for testing
4818466 (5018840) STORade 2.1.05.003 revision checking reports incorrect current T3 FW r
4986727 TAPE: Sends CommunicationLostEvent if other app is accessing drive.
5006668 events don't have cause or actions in t3 event advisor
5011964 3510: echo test returns "DONE:OK" when it actually failed on loop device.
5014998 Correct hba diag not presented to user after selecting an hba port in topo
4968699 3510: "diag error -chan" has new functionlity for target "-all".
4907831 I18N: using "am" and "pm" for the time format causes i18n support problems
4956715 Device name for brocade switch is presented as IP address
5012018 event advisor not suggesting a time zone change for a reboot
4980595 Online documentation references obselete User Guide
5002015 3310 was not dicovered in-band on slave
5006460 did not recieve event 26.20.12 3510.LogEvent.controller
5011177 3510 in-band: removed pwr supply, events available but no alarms were generated.
5012034 3310: topology shows array attached to master and nothing on slave
5012226 maintain hosts page has catgory 1 to monitor
5014261 redirection from slave is broke
5014414 Link to online help for Event Filters is incorrect
4915970 Event and Severity Mapping - categories need updated
4936221 HELP: Volverify default option not functioning.
5010162 M2b14: revision checking not displaying the FCODE for the JNI card
5011192 internal.ComponentRemoveEvent without probable cause
5011259 Error event code 12.26.35 doesn't have probable cause
5011263 Error event code 13.26.13 doesn't have probable cause
5011314 Error 12.12.31 doesn't have probable cause
5011872 incorrect error code 2.3.ERR_healthck, Description and no PC and RA
5011905 3510: show loopmap does not require a controller shutdown.
5011948 3510: diags should check FC mode(loop or fabric) prior the checking if shutdown.
5011972 3510: diags are defaults to compare =  yes. This should be defaulted to "no".
5012038 error 4.3.99 agent.ValueChangeEvent without recommended action
5012104 3510: loop_map test does not need pop-up alert
5012711 Error 21.26.13 without probable cause
5012759 3510: diagnsotic Test From List - show loopmap" channel # slection not available
5012773 (5018976) 3510: Echo, Loop and W/R Buffer Test does not allow the user to select
5013858 Can not run diagnostic for 3510 from list although we can run from topology
5014521 cachemode description does not mention issue pertaining to performance
5008698 HTML tag in ras_admin discover_inband output.
5005107 Documentation -> Admin -> Overview references "StorADE"
5012265 Language Packages missing ReleaseNotes (regression)
4988022 NC: StorADE does not index switch ports consistently
4999339 6020 event Service Advisor link on datahost Can't call method "node" on unblesse
5006643 did not recieve event 26.3.120 3510.ValueChangeEvent.channel
5007376 diagnostics do not run for 3510 - Cannot Test Ethernet/ OutOfBand!
5007493 3310 and 3510 FRU serial numbers are changing for unknown reason.
5007960 3510: Can not discovery 3510 attached to a slave via FC connection.
5010396 3510: diags do not run on ib discovered devices
4975073 Actionable 6020.LinkEvent_ITW 38.44.16 should be re-classified as an "Error"
4977489 ESM: Edges from host to brocade 12k switch missing.
4995917 Incorrect Revision Analysis alarm - Storade has wrong "ExptVers"
5003336 Event Code: 21.5.13 needs PC and RA
5004051 No link for HDS on Monitored Device Page
5004865 3510 loop_test compilation errors
5006452 event 26.20.158 - non actionable, yet recieved actionable email
5006494 21.5.12 actionable event without probable cause or recommended action
5006705 Actionable events 13.5.41 needs PC.
5006711 Actionable events 13.5.38 needs PC.
5006733 3510: diagnostic should not be force to run out-of-band.
5006777 ESM: Diag, T3-LUN test does not work from ESM or StorADE
5007140 Actionable event 5.12.31 without PC.
5007337 ras_install required to run on new install of 2.3.10.006 prior to 116720-06b ins
5007372 diagnostics not displayed - Execution error:
5007392 Monitor -> Device and Monitor -> Topology options not in sync
5007416 3510: show bettery reports - warning julian date blah, blah, error message.
5007463 ESM: T3-Loop test default controller value is incorrect
5007496 3310 is missing from "Enter Local Notification Information" event categories.
5007983 3510: discovery of 3510 in-band on slave is very slow. Can exceed 30 minutes
5008661 6120 RA's mention t3 30 minute shutdown
5008903 3510: battery expiration messages are confusing (-732042 days from expiration).
5009638 3510.StateChangeEvent- 26.26.66 needs PC and RA
5010369 event 7.20.315 driver.QLC_LOOP_OFFLINE needs PC
5010374 Should give out warning info if user run diag function before topology snapshot
5011246 No probable cause for event 21.5.14
4832043 T3 disks in Monitor Topology, are not represented correctly controller in
4990180 Help: french OLH: Caution text is too small and is hard to read (webworks)
4992027 Current Alarms when monitoring rack remove reference to Aggregated events
4992229 Delete slave returns table that appears malformed and buttons repeated
4995437 Even though no nitification selected, "Deleted email(s)" is displayed
5006699 Event 13.5.40 PC no new line char after second item.
5007428 deleted the only slave caused programatic output to screen.
5011030 indentation formatting in the grid files is not being recongnized by the gui
5005021 Poor wording on subnet discovery
5011163 Maintain Devices not sorting items correctly
4984025 SunMC 3.5 rasagent delete the StorADE 2.3 topology after restart/reboot
5002839 L10ned contents are not displayed on real machine
5004660 syntax error in 3510 agent
5004971 3310/3510: cannot manualy add device
5004987 3310/3510: cannot discover outside of subnet
5004993 3310: cannot add to config: blank wwn
5007338 3510 did not discover in-band: ERR: No Key found for
4995727 Wrong disk FW revision for Fujitsu Model # MAP3735F used for T3B
5003316 Diags, starting T3 -volverify and selecting cancel causes test to fail to start
5004614 I18n: Device Summary Report page is not i18ned
5004663 Revision Checking report: 3310_Controller_FW
5004668 Revision Checking report: 3310_DISK_FW ST336607LSUN36G
5006371 Version page does not match pkginfo PSTAMP date and time.
5006601 did not recieve event 26.5.16 3510.ValueChangeEvent-.enclosure
5006672 did not recieve event 26.3.37 3510.ValueChangeEvent.power
5004402 StorADE needs to provide API to retrieve missed events
5005039 no 3310 in add devices
4979931 I18N: make_language_package left out some pkgmap entries, thus WARNING messages
4997993 NWS_StorageVolume has no associations to disks or array
5000527 3510 was not discovered in-band
5000795 no 3510 discovery option
5002098 3510 incorrect ctr fw version check
5002101 3510 incorrect expected disk firmware
5002118 3510 incorrect expected fw version for ST336753
4949666 discovery of 3510 via ras_admin discover_3510 fails
4990083 I18n: Update Topology Group, "Type" is not i18ned
4990096 I18n: Revision Checking - Run Report: command argument description is not i18ned
4990104 I18n: Revision Reports: some itemslabels/strings are not i18ned
4990107 I18n: "Revision" in Revision Checking Report History is not i18ned.
4990226 I18N: Structure of Alarms tab differs between english and non C locales
4993499 I18N: JA man page: /opt/SUNWstade/man/ja does not exist
4994471 Deleted 'Admin Group' still appears as assigned in 'Local Email Notification(s)'
4994496 Adding an 'Admin Group' with same 'Group Code' overwrites previous description
4994558 nc shuttle file fills up to quickly for large configurations
4995156 I18n: Recover Configuration messages are not i18ned
4995436 I18n: Maintain Hosts - Add a new Slave error message is not i18ned
4995749 No PC for EventCode: 21.26.24
4997211 subevent dates are unreadable, need to clean up to YYYY-MM-DD etc..
4997333 SUNWstadn Function GUIAdmin::6020 addDevice not found
5002830 StorADE truncates brocade switch speed in report.
5003208 T3/6120 discovery is not possible if your logfile is over 40000 lines
5003999 Unable to get minnow test list using diag interface
4951826 (4860383) 3510 getConfig sccli: password authentification failed until ctrl rese
4975681 Application launch label does not include 6920 on instrumentation report page
4975686 after a secure install - ras_install directs cu to login to port 7654
4978371 a5200s incorrectly reported as down in Current Alarms
4994567 RN: Need to update SUNWsan and luxadm requirements and correct GSG pub number
4997246 System Ed and Device Ed Release Notes should have unique titles
4998615 ras_admin discover_inband fails if devices already discovered
4718528 when slave is down, revision check reports "Nothing to report"
4995441 Basic Installation Steps message has unnecessary indent
4996608 When clicking Alarms, a redundant message displayed if there is no alarm.
4967433 storade2.2 deviceguide.pdf should not be included in the SUNWstade 2.3 release
4971403 an incorrect alarm for a SE3510 downed device.
4981041 HELP: add sun_help= setting as default paramenter for olh viewer
4983822 Guest user have full access.
4985657 Error email contained no PC or RC
4990367 notifications for unassigned devices get sent out to all administrative groups
4848805 Need Best Practices doc on how to configure SUNWstade and SUNWstads in system.
4943435 To much info received on aggregated event when lun unmounted (document)
4957373 pulled standby disk, no event 38.41.13
4957560 No probable cause in actionable aggregated event 38.5.14
4961604 Need cause and action in aggregated event 38.5.14
4962450 3510: logical-drive creation is not handle well by StorADE.
4962753 Root cause (unmounted lun) listed 4th in aggregated event from datahost
4963709 Need PC and RA in actionable event 38.20.90 from disconnecting AC pwr on 6020
4965661 Need PC with actionable dsp.StateChangeEvent 30.26.35
4967437 Administator Overview html file has outdated gif files for the GUI
4971067 No PC in actionable se2.StateChangeEvent event 38.20.103
4974200 SUNWstads should display FC_Counters the same on DSP as SUNWstade does switches
4975628 SSD_WARN event 9.20.330 not in event advisor empty fields in Alarm Details
4975635 SSD_ALERT eventcode 20.20.329 not in event advisor and empty fields Alarm Detail
4976427 corrupt label on a datahost is not actionable but is actionable on service proc
4979640 No matching actionable events from datahost monitoring a rack
4981044 MAN: Attribute table is broken in man pages
4981052 MAN: In ras_admin man page, arguments are not displayed correctly
4984486 I18N: Monitor Devices help page displayed in English.
4985026 Application launcher page 2 of 2 or next button missing
4985635 Event 30.20.147 from datahost does not have any PC or RA (pulled pcmcia)
4985729 Some ReleaseNotes ReleaseNotes.sys content out of date, need fix
4986115 NSCC alert drop down box show NSCC() not NSCC(On)
4986342 When creating a new logical drv, status change should be notice
4987850 Integer overflow in hex number at /opt/SUNWstade/lib/Agent/SWITCH2.pm line XXX
4988862 StorAde to supply a cleaner XML document
4989687 a Notice Event email message contained the actions where Warning did not
4990037 Test Mgr.(popup) link in Diagnose page does not work
4990297 topology: No photo for 6120 in topology
4990785 Need aggregation to work also on Informational events.
4991045 Array Passwords: Unknown message, 'onclick="return confirm('Are you sure?')" >'
4991361 actionable email without probable cause
4991462 actionable email without probable cause
4991479 actionable email without probable cause t3 loopcard removal
4992001 actionable email without probable cause - t3 controller removal
4992918 3310: "sccli> deviceIP diag error channel" should not be run on 3310 SCSI device
4992923 3310: "sccli> show port-wwns" commands should not be run on 3310 SCSI devices
4992961 t3/6120 logfile policy sets 'WARNING' as error/critical messing up aggregation
4993047 Brocade new switches not supported in StorADE diagnostic
4993076 3310: Administration > Maintain Device is diplsaying "Sun 3510"
4993077 3310:Administration > Maintain Device is displaying "Port WWNs:206000c0ff002344"
4994517 storade 2.3 sense key info must match updates to 2.2
4905030 Requeset ability for SAE to initiate patch analysis and obtain results
4992994 Add host administration commands for ESM to set up slaves for net connect.
4993190 ESM needs diagnostic test options per device since it can't fill out values.
4798427 StorAde does not always properly recognize  & report a battery refresh cycle.
4812064 E-mail message should indicate a state change rather than removal/installation
4944296 3510 - ld 2 is displayed as ld1 in the device summary page (ref bug 4959806)
4947955 Monitor->Agent Errors indicates "error.log is empty"
4961667 No PC or RA in event 38.20.168, root cause is listed 3rd in aggregated event
4970777 ras_admin -p -h <slave> does not work to de-activate the agent on a slave
4971352 action buttons in wrong place on page
4971353 separator bar missing in toolbars
4971360 HCI: delete all alarms button in wrong place
4972172 Empty Table not HCI compliant
4976221 20.20.313 MPXIO_offline not in event grid empty fields in Alarm Details
4976808 Recommended actions listed as 1,2,3,4,5,1,2,3,4
4978972 SUNWstade on datahost didn't detect and report disk port statechanges on 6920
4985593 Topology is blank.  Java Applet crashing.
4987836 Sense key events in the log are generating 2 separate events
4992920 Brocade new switches type shown as 3x00 Brocade in StorADE discovery
4993206 Discovery function reports Brocade SilkWorm 24000 as type: 3x00
4994503 'Delete Group "Name"' should read 'Delete Group "Name" Devices'
4995740 /tmp/run_commands.pid are accumulating in /tmp
4989719 Device::Add command probes for device even if it has already been added.
4985658 'Not Installed' should not be an event for a5k gbics
4943397 3510 (f-minnow3) device asset not correct.
4970761 I18N: need to add link for ko and zh_TW (zt) online Help content
4970876 I18N: localized packages need online help content for testing
4954088 Add close button to Event Advisor secondary window
4954091 Add Close button to test manager secondary window
4979514 NWS_System.Firmware needs to be changed to NWS_System.SysRevision for switches
4983756 I18N: fr: SUNWstafr has extra frontdrrr.html files from other locales
4869154 don't change the status of KILLED to DONE in volverify only go to start or %
4935687 Alarms > Event Maintenance show wrong component for event 21.12.31
4946606 Alarm severity classifications should match masthead in Monitor Log/Events
4948507 Events 12.44.16 needs RA & PC.

(from 116720-05)
4949764 sae|srs|ssrr provider listed in cli ras_admin provider_list, but not in BUI.
4949832 I18N: Device Summary page: host is not i18n ready
4953240 Add Slave Host partial domain name causing dual hosts in Device list
4957487 ras_revcheck -T does not produce a key for T4s
4968659 Aggregated event when loop card disabled shows ctlr as root cause (no PC/RA)
4969310 messages.3310 file shows up in Monitor->logs even though the file does not exist
4972156 SE2 Summary Report empty fields in Id Column
4972211 did not recieve Recommended Action in alarm email
4973956 M2b9: Revision checking reports JNI revision incorrectly
4974547 RN: "Qualified Platform" is not up to date
4976420 vol verify scheduler does not allow a seleceted option to be de-selected
4977440 SSRR event "41.12.ERR_firewall" when spa tray powered off then on
4979495 Aplication Launcher  'frames' mode no page buttons to access page 2
4979553 storade missing a bad power supply on mcdata switch
4980577 3510: Missing FRU Count, etc from NWS_System
4981058 usage subroutine is undefined in linktest cli command
4807326 Keep date when device was first discovered in Storade 2.2 GUI
4978388 Site information api needed
4811852 Storade should scan ofdg tests for failure info and summarize it
4816620 Clear button should be renamed in the topology snapshot window
4867388 4.3.99 email notification not called out as "(Actionable)"
4894167 Add devices > Internal FC disks on slave host "Merge and Push Master"
4912865 D2 power icon not red when power supply removed,  event 6.5.37 received
4919696 3310/3510 device report shows incorrect Size for Logical Devices (4924822)
4927863 New user doesn't show up on the the User label on masthead.
4930168 Clicking on FC errors between devices in topology results in internal server err
4936181 3510 - FRU's should be displayed with respect to there enclosure (ref 4873277)
4947780 Monitor > Device page background color not filled in.
4947854 Event Maintenance pagination icon not accessible (greyed out)
4947951 Monitor->Alert Log page contains indicators for severity and counts
4948016 Monitor->Diagnose->Start Test page does not contain masthead
4948048 Diagnose->Utilities: Go button is unnecessary
4952438 rasagent CIM_ER Key field must have value on failing T3 device
4953193 Local Email Scripts - Delete button active when no emails in list
4955103 Review config on SUNWstade Master datahost shows agent not active on SP
4959839 the snmp trap provider does not include a selection for Actionable only
4966985 BP and/or RN should clearly define how to configure StorADE for < Solaris 2.8
4967406 Diagnositc: volverifytest and volverify descriptions are exactly the same
4972175 Save options button incorrectly labeled
4973820 ras_snap message displayed in Provider Trap of rasagent output with the depkg
4979510 Hide Create Selected Topologies button when single topology available
4979520 Create Topology buttons unclear
4982748 Device module doesn't load with Perl 5.005_03
4983886 I18N: question mark displayed in Sun Copyrights.
4981402 Discovery > eliminate T3 and 6120 (background) method
4982063 Event labels are in variable(code) style, not user text
4984433 DOC: add the GSG to the depkg and patch
4985543 The ">" in the e-mail notifications is noisy and undefined
4983010 Host agent alarm event has unclear terminology

(from 116720-04)

(from 116720-03)
4997540 Severity of disk sense key messages incorrect and improperly grouped
4997545 Disk sense key messages generating seperate events
4966100 Cannot install Netconnect 3.0.4 SUNWsrssp pkg with Storade 2.3
4988108 NSCC: NWS_System had a null Name attribute for mcdata.StateChangeEvent
4991012 SUNWstade install_netconnect fails to include library
4977589 NSCC: 6020 firmware versions are not being displayed in the NSCC
4899903 change 0x3 0x11 and 0x01 18 errors to notice
4976847 Recovered disksense event 38.20.100 severity to high
4984533 Version number not updated after applying StorADE 2.3 patch.
4964395 NSCC: the nscc email provider is hanging on a 663K email xfer
4970881 I18N: need to update version number and names of the compressed packages
4971229 I18N: Language Browser choice does not show "Traditional Chinese" when package a
4975099 ESM: Instrumentation report for Brocade 1Gb & 2Gb switches is missing port speed
4954827 add the ability to send a notice thru the snmp trap provider
4837280 send  vol-id with each lun in storade -> DE interface
4907410 ESM: Provide slice wwn in rack insrumentation report
4943724 Three different statuses in a single field is confusing  (explain in doc)
4956885 SENSE KEY: disk_scrubber repair lower severity to warning
4965660 No PC or RA with actionable host.AlarmEvent 7.5.ERR_lun.SExxxx
4969128 Actionable se2.StateChangeEvent 30.5.197 needs PC or RA
4969214 se2.StateChangeEvent from datahost monitoring rack has no PC or RA
4969221 Datahost monitoring rack did not report repair of loop cable on u1l2
4969368 Aggregated event 38.20.103 repeats the events
4970686 SUNWstade datahost link fails to arrayXX and dsp00 for se2 solution
4971412 multiple alarms created for single disk failure in a5k
4971873 Wrong disk FW revision for seagate 18gb Half Height Model# ST118202FC
4975152 monitor logs on slave gives error for /var/adm/messages
4975204 killvolverify does not read the default password::needs device summary override
4977022 StorADE 2.3 patch installation changes file permissions to bin:bin.
4460070 Should monitor for reallocation of blocks as indication of drive going bad
4524940 Req user notification if multiple users are logged on and password changes
4673002 Perform low overhead tasks more frequently than high overhead tasks
4675730 Request that baterry fresh cycles on T3's are phonehome as nobeep notifications
4743552 Storade Error From T3 Notification of Data Auto Re-Allocated
4922781 need ability to print topology with graphics
4971063 6320 : se_extract should collect the properties files from 6020 arrays.
4848813 HELP: Stoplight not documented in online guide
4926912 Alarms > Current Alarms : [All] - Grid Code link does not work.
4948019 Monitor->Diagnose->Test Detail Options should read Display Command
4955440 Site Information duplicate mandatory label
4958211 event code 13.3.156 in t3.grid has no action
4964368 storade warnings about xml parse error on raidbaseview
4973887 Host Instrumentation report lists patch applied to SUNWstads on device edition
4974872 M2b9,11:Monitor>Topo doesn't display links between the monitored devices.
4974988 icon for system1 isn't big enough
4848857 Service Advisor popup should contain event code for the event.
4851192 chunk rasagent executions into segments so that notifications can ocurr sooner
4943669 add carriage return to make output from "Generate New Inventory" clearer to read
4966564 Alarms -> Current Alarms page truncates names and topics
4944749 HBA port not red when path is disconnected
4955165 review config not Warning topology not created
4962794 Execution errors in alarms, event maint, and monitor pages
4963073 Negative value in Email and Event Maximums Not set count for driver.SSD_WARN.
4965930 After communication is regained to a 3510, old events and alarms are displayed.
4967065 Storade_pvr registration should be change from 002.002.000 to 002.003.000
4968616 3510: rasagent -d3 does not excute diag error -chan on the disk 0.
4969126 HBA port on host topology not red after being disconnected
4809298 6120-ofdg is unpredictable, int passes/fails, leaves unit in unknown state
4947845 Event Maintenance page contains column marked "Component" not same as Alarm page
4947849 Event Maintenance page has "Delete All Green" and "Delete All Yellow" buttons
4956749 2g Brocade switch is listed as DOWNREV but does not have an upgrade id.
4969159 Linktest should refer to dsp slot and port numbers when isolating
4812633 agent reports ERR cron_conflict
4846729 Summary report is not reporting associated 6320 lun name like 6120 and t3b does.
4863264 se2configcheck never automatically updates status to Done, must "sync"
4911311 Maintain Devices not removing Admin Group when groups deleted
4918213 ESM: Diagnostic request from ESM fails to elicit a response
4937370 Storade no longer drawing links between datahost and monitored xxxx rack
4938572 6120 (background)  discovery not showing in discovery page.
4947903 Event Advisor Pane is incomplete
4947922 Reference to host:sp-87.central.sun.com could mislead customer
4955212 Restart of standby SFC causes 3 actionable and 1 non-actionable ssrr events
4955229 Storade not checking dsp Log_Info messages for positive going events
4959644 clicking on link of mcdata switch results in "cannot access device"
4963845 Incorrect category for xxxx in notification.
4964378 Lost comm events on dsp when array00 master ctr disabled, not w/array01
4966402 subnet discovery tries to add an invalid IP, then post error
4897981 ras_revcheck -M ALL leaves out some modules in report.
4947855 Revision_check dead process not isolated.
4947939 names in Monitor->Device table should read device:name
4948058 Diagnose->Utilities->Continuous Vol Verify page has no data - VolVerify running
4956941 LogEvent.driver.SSD_ALERT & .SSD_WARN recieved eventcode 7.20.329 & 7.20.330
4964587 ras-admin device_delete does not remove the SE3510 from the configuration
4965968 Event 17.3.36 not in Event Advisor.

(from 116720-02)

(from 116720-01)
